Subject: Graphics Survey

From: [email-masked] (Sting)
Date: Thu, 23 Sep 93 14:11:58 EDT

Hello rend386-ers,

    I have a couple of questions that I need input for.  Could you
guys/gals tell me what you would expect a full featured 3d-object editor to
have as its functions?  And what file types would you like it to write
out?  Give me your wish list.

    Also, in a full featured virtual-world navigator type program what
features would you expect/want?  Also, are their standard world file
formats for VR?  If so what are they?  Again. give me your wish list.

    BTW, Bernie - Dave,  nice job on v5.  I got the book the other day
and I really like the new features in the latest release.  I can't
wait to get my grubby hands on the source!  [;^)

      	      	      	      	      	    Happy Hacking,

---
  __________________________________________________________________________
 /\  \  \  \________|          Marc A. Lefebvre         |_________/  /  /  /\
|  \  \  \__________|         Software Engineer         |___________/  /  /  |
|\  \  \____________|    CyberBase Technologies Inc.    |_____________/  /  /|
| \  \______________|       Software Developement       |_______________/  / |
|  \________________|      9-1B Windingbrook Drive.     |_________________/  |
|\__________________|    Guilderland, New York 12084    |___________________/|
|-USA World Cup `94-|__________(518)452-0927____________|-USA World Cup `94--|
|*********** Makers of the virtual reality software, Virtuoso (tm) **********|
 \[email-masked]@nick.csh.rit.edu__________/
      	      	      	 "I'd rather be Windsurfing!"

---

From: [email-masked]
Date: Fri, 24 Sep 93 12:12:55 -0600

I personally wuld like the following formats:  .plg, .wld, .fig, .off,
.dxf, .pov/.inc (POVRay), .dwg, etc.

Functions could be the following:

Primitives
single-poly edit
Preview rendering (for .pov)
CSG solids (union, intersection, inverse, etc)
Polynomial curve-fitting (Quadrics, quartics, etc.)
What else is there?

For a VR navigator:

Maybe an overhead view?
Support for HMDs, gloves, SpaceBalls, etc.
Texture-mapping (good luck on that one!)
Sound (events, 3d-sound, drivers for SB, SBPro, Pro 16, Pro 16 ASP,
ProAudio Spectrum 16, etc.)
Boundary-checking, terrains, etc (like move slower through mud or can't
move through bricks, etc.)
At least 15fps (not necessarily with texture-mapping, of course)
Maybe a run-time, interactive object editor (like VRS 2.0, only one that works!)
Whatever else is there (i.e. things I haven't seen in R386 5.0 yet)

I'm very picky about these things.

					Sincerely,
					Joshua Shagam